import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  seq: z.number().int(),
  data: z.instanceof(Uint8Array),
  createdAt: z.coerce.date().optional()
}).strict();
export const CloudFileChunkCreateWithoutFileInputObjectSchema: z.ZodType<Prisma.CloudFileChunkCreateWithoutFileInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkCreateWithoutFileInput>;
export const CloudFileChunkCreateWithoutFileInputObjectZodSchema = makeSchema();
